Package com.sun.jna.platform.win32.COM

# Class TypeLibUtil.IsName

java.lang.Object
com.sun.jna.platform.win32.COM.TypeLibUtil.IsName

Enclosing class:
  TypeLibUtil

public static class TypeLibUtil.IsName extends Object
The Class IsName.

Author:
  wolf.tobias@gmx.net The Class IsName.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IsName(String nameBuf, boolean name)`
  Instantiates a new checks if is name.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getNameBuf()`
  Gets the name buf.
  `boolean`
  `isName()`
  Checks if is name.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IsName

    public IsName(String nameBuf, boolean name)
    Instantiates a new checks if is name.
    Parameters:
      `nameBuf` - the name buf
      `name` - the name

- ## Method Details

  - ### getNameBuf

    public String getNameBuf()
    Gets the name buf.
    Returns:
      the name buf

  - ### isName

    public boolean isName()
    Checks if is name.
    Returns:
      true, if is name